Bug 1607617 (CVE-2018-10914) - CVE-2018-10914 glusterfs: remote denial of service of gluster volumes via posix_get_file_contents function in posix-helpers.c
Summary: CVE-2018-10914 glusterfs: remote denial of service of gluster volumes via pos...
Status: NEW
Alias: CVE-2018-10914
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180904:0530,...
Keywords: Security
Depends On: 1625077 1608366 1610122 1616829 1625075
Blocks: 1607620
TreeView+ depends on / blocked
 
Reported: 2018-07-23 20:22 UTC by Laura Pardo
Modified: 2018-11-05 23:14 UTC (History)
31 users (show)

Fixed In Version: glusterfs-3.12.14, glusterfs-4.1.4
Doc Type: If docs needed, set a value
Doc Text:
It was found that an attacker could issue a xattr request via glusterfs FUSE to cause gluster brick process to crash which will result in a remote denial of service. If gluster multiplexing is enabled this will result in a crash of multiple bricks and gluster volumes.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:24 UTC
Red Hat Product Errata RHSA-2018:2608 None None None 2018-09-04 06:26 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 14:57 UTC

Description Laura Pardo 2018-07-23 20:22:33 UTC
A flaw was found in GlusterFS. A NULL pointer dereference vulnerability due to an improper implementation of the posix_get_file_contents function. An attacker could exploit this to perform a Denial of Service attack.

Comment 1 Laura Pardo 2018-07-24 16:45:13 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 8 errata-xmlrpc 2018-09-04 06:24:46 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 7
  Native Client for RHEL 7 for Red Hat Storage

Via RHSA-2018:2607 https://access.redhat.com/errata/RHSA-2018:2607

Comment 9 errata-xmlrpc 2018-09-04 06:25:55 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 6
  Native Client for RHEL 6 for Red Hat Storage

Via RHSA-2018:2608 https://access.redhat.com/errata/RHSA-2018:2608

Comment 10 Siddharth Sharma 2018-09-04 14:30:55 UTC
upstream fix:

https://review.gluster.org/21071

Comment 11 Siddharth Sharma 2018-09-04 14:31:19 UTC
Mitigation:

SELinux mitigates this issue on Red Hat Gluster Storage 3. SELinux should be in enforcing mode only as permissive mode does not block attacks.

Comment 13 Doran Moppert 2018-09-06 05:04:43 UTC
Statement:

This issue did not affect Red Hat Enterprise Linux 6 and 7 as the flaw is present in glusterfs-server, which is not shipped there.

This flaw affects glusterfs versions included in Red Hat Virtualization 4 Hypervisor. However, in recommended configurations, the vulnerability is only exposed to hypervisor administrators and can not be exploited from virtual machines or other hosts on the network.

Comment 14 errata-xmlrpc 2018-11-05 14:56:50 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:3470 https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.